//1 Row Big Font Screen
//Lambda and Brightness Setup Screen

void Screen3Init()
{
  
  lcd.init();
  
  lcd.commandWrite(0x80);                  //Line1
  lcd.printIn("Lambda: ");

  lcd.commandWrite(0x94);                  //Line2
  lcd.printIn("LD:  ");
 
  //Load the specific data:
  CGRAM_BigFont4();
  
  //Lets to the Conversion:
  DoCal = 1;
  
  //Fetch Typ K
  DoTypK = 1;

  //Select Serial Out Mode "Converted":
  if(SerOut!=2)
  {
    SerOut = 2;
    //print the Serial Header:
    HeaderPrint();
  }
  
  RefResh = 5;
  val = 5;  
  
}

void Screen3Work()
{
   
    //and only after every X refreshes, so its faster on the serial & its easier to read
    
    

  if(val>=RefResh)
  {
     val = 0;
     
    float CalLambdaF;
    CalLambdaF = CalLambda / 100.0;
  
  
  lcd.commandWrite(0xC0+7); 
  if(CalLambdaF<0.0)
    {
      lcd.print(2);
      lcd.print(2);
    }
  else
    {
      lcd.printIn("  ");
    } 

  //bigNum(abs(CalBoost)*1000,0,9,1);
  
  bigNum4(abs(CalLambdaF)*1000,9,1);
  
  }
  else
  {
    val++;
  }
    
  
  
  lcd.commandWrite(0xD4); 
  printfloat(abs(CalBoost),2);              //Shows current Boost
  
  
}


